//設定クラス
function BaseSetting(){
	
	//コンストラクタ
	this.constructor = function(){
	}
	
	//設定データ構造取得
	this.GetDataStruct = function(){
		var DataStruct = {
			Name:null,
			Value:null,
			Init:null,
			Buff:null,
			func:null,
			flg:false,
			Type:null,
		}
		
		return DataStruct;
	}
	
	//初期化処理
	this.Initailize = function(DataList){
		//データ設定
		for(var loop=0;loop<DataList.length;loop++){
			this.AddParam(DataList[loop]);			
		}
	}
	
	//画像データ追加
	this.AddImage = function(Data){
		this.AddData(Data,"image");
	}
	
	//パラメータ追加
	this.AddParam = function(Data){
		this.AddData(Data,"param");
	}
	
	//画像データ取得
	this.GetImage = function(Key = null){
		return this.GetData(Key,"image");
	}

	//パラメータ取得
	this.GetParam = function(Key = null){
		return this.GetData(Key,"param");
	}
	
}
